CREATE TABLE SST_RISCOEPI
(
	NRORG 			NUMBER			NOT NULL,
  NRRISCOEPI NUMBER NOT NULL,
	NREPI	NUMBER			NOT NULL,
	NRFATORRISCO	NUMBER			NOT NULL,
	IDEPIEFICAZ			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDEPIEFICAZ_RISCOEPI CHECK (IDEPIEFICAZ IN ('N','S')),
	IDATIVO			VARCHAR2(1)		DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_RISCOEPI CHECK (IDATIVO IN ('N','S')),
	DTINCLUSAO		DATE			DEFAULT SYSDATE NOT NULL,
	DTULTATU		DATE			NULL,
	NRORGINCLUSAO	NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERINCLUSAO	VARCHAR2(12)	DEFAULT '1' NULL ,
	NRORGULTATU		NUMBER(22)		DEFAULT 1 NULL ,
	CDOPERULTATU	VARCHAR2(12)	DEFAULT '1' NULL ,
	CONSTRAINT PK_SST_RISCOEPI PRIMARY KEY (NRRISCOEPI)
);

ALTER TABLE SST_RISCOEPI ADD
CONSTRAINT FK_RISCOEPI_EPI FOREIGN KEY (NRORG, NREPI) REFERENCES SST_EPI (NRORG, NREPI);

ALTER TABLE SST_RISCOEPI ADD
CONSTRAINT FK_RISCOEPI_FATORRISCO FOREIGN KEY (NRORG, NRFATORRISCO) REFERENCES SST_FATORRISCO (NRORG, NRFATORRISCO);
